Get an overlay (v2)
GET/v2/overlays/{overlayId}
const url = 'https://api.ligr.live/rest/v2/overlays/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ligr.live/rest/v2/overlays/1 \ --header 'Authorization: Bearer <token>'Return the overlay with the given ID.
The include query parameter accepts m to add the match.
cp has no effect alone; combine it with m (include=m,cp) to nest competitors under the match.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Entity identifier
The overlays identifier
Query Parameters
Section titled “Query Parameters”Comma seperated string of entity abbreviations Allows optional population of nested entities m = match e.g. ‘m’
Responses
Section titled “Responses”Ok
object
Entity identifier
Entity identifier
Seconds to delay graphic updates
Stringified UUIDv4. See RFC 4112
Open this URL with an authenticated dashboard session after setup.
Read-only monitoring page of this overlay on the overlay host of this environment. Open it to see the graphics that are on air. It does not take control of the overlay.
object
Entity identifier
Entity identifier
Seconds to delay graphic updates
Stringified UUIDv4. See RFC 4112
Open this URL with an authenticated dashboard session after setup.
Read-only monitoring page of this overlay on the overlay host of this environment. Open it to see the graphics that are on air. It does not take control of the overlay.
object
Entity identifier
Match name
Entity identifier
The liveStatus of the match as defined by the period
Entity identifier
object
The match format: singles, doubles, teams or group. It is one value for the match.
Each row in competitors has its own entityType. For example, a doubles match has
competitorsType: doubles and four entityType: player rows. A group match has player rows.
Example
{ "matchId": 703, "id": 2300003, "name": "Overlay 1", "encodingDelay": 6, "key": "3b2bbcc8-0544-4edb-b847-8179ba026086"}Request is invalid
object
object
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
object
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
object
Examplegenerated
{ "message": "example"}Overlay not found
object
Examplegenerated
{ "message": "example"}Api key has made too many requests
object
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
object
Examplegenerated
{ "message": "example"}